RedotPay Connect
Account Asset

List merchant asset transaction logs

POST
/openapi/v2/merchant/asset/log/list

Retrieve paginated ledger entries (asset transaction logs) for a merchant within the requested time window. Supports pagination and filtering by time range and transaction type.

Header Parameters

X-R-Ts*string

request timestamp in milliseconds

X-R-Ak*string

merchant's appKey

X-R-Signature*string

request signature

X-R-Key-Version?string

merchant's private key version, default is 1

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

merchant's asset change log request

Response Body

*/*

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/openapi/v2/merchant/asset/log/list" \  -H "X-R-Ts: 1762327084929" \  -H "X-R-Ak: string" \  -H "X-R-Signature: string" \  -H "Content-Type: application/json" \  -d '{    "createTimeStart": 0,    "createTimeEnd": 0,    "pageNo": 1,    "pageSize": 500  }'
"open api common response"
{  "code": "paramFormatError",  "message": "request param invalid"}
{  "code": "authorizationInvalid",  "message": "authorizationInvalid invalid"}
{  "code": "notInWhiteList",  "message": "request ip not in the white list"}
{  "code": "frequencyLimited",  "message": "Too many requests, please try again later"}